#pragma once

#include "spdlog\spdlog.h"
#include "Singleton.h"
#include <memory>

class SLog
{
public:
	SLog();
	~SLog();

	bool init();
	std::shared_ptr<spdlog::logger>& getLogger() 
	{ 
		return logger_; 
	}

private:
	std::shared_ptr<spdlog::logger> logger_;
};

typedef Singleton<SLog> CSingletonSLog;
#define g_log (CSingletonSLog::instance().getLogger())

